# StatStageChangePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class StatStageChangePhase

#### Hierarchy (View Summary)

- PokemonPhase
  - StatStageChangePhase

- Defined in src/phases/stat-stage-change-phase.ts:33

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

aggregateStatStageChanges
end
executeForAll
getPokemon
getStatStageChangeMessages
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new StatStageChangePhase(
  battlerIndex: BattlerIndex ,
  selfTarget: boolean,
  stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[],
  stages: number,
  showMessage?: boolean,
  ignoreAbilities?: boolean,
  canBeCopied?: boolean,
  onChange?: null | StatStageChangeCallback ,
  comingFromMirrorArmorUser?: boolean,
  comingFromStickyWeb?: boolean,
  ): StatStageChangePhase

  #### Parameters

  - battlerIndex: BattlerIndex
  - selfTarget: boolean
  - stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[]
  - stages: number
  - showMessage: boolean = true
  - ignoreAbilities: boolean = false
  - canBeCopied: boolean = true
  - onChange: null | StatStageChangeCallback = null
  - comingFromMirrorArmorUser: boolean = false
  - comingFromStickyWeb: boolean = false

  #### Returns StatStageChangePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/stat-stage-change-phase.ts:44

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### aggregateStatStageChanges

- aggregateStatStageChanges(): void

  #### Returns void

  - Defined in src/phases/stat-stage-change-phase.ts:319

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### getStatStageChangeMessages

- getStatStageChangeMessages(
  stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[],
  stages: number,
  relStages: number[],
  ): string[]

  #### Parameters

  - stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[]
  - stages: number
  - relStages: number[]

  #### Returns string[]

  - Defined in src/phases/stat-stage-change-phase.ts:362

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/stat-stage-change-phase.ts:69